class Constants {
  static const String env = envDev;

  static const String envDev = 'dev';

  static const String envTest = 'test';

  static const String envProd = 'prod';

  static const String _devBaseUrl = "http://192.168.10.230:8880";

  static const String _testBaseUrl = "http://test-xxxxx.xxxxx.xyz";

  static const String _prodBaseUrl = "http://xxxx.litoxxxxxlive.xyz";

  static String baseUrl = getBaseUrl();
}

String getBaseUrl() {
  switch (Constants.env) {
    case Constants.envDev:
      return Constants._devBaseUrl;
    case Constants.envTest:
      return Constants._testBaseUrl;
    case Constants.envProd:
      return Constants._prodBaseUrl;
    default:
      return Constants._devBaseUrl;
  }
}
